WCSRCHR(3)

NAME
wcsrchr - locate last occurrence of a wide character in a wide string

SYNOPSIS
#include <wchar.h>
wchar_t *
wcsrchr(const wchar_t *s, wchar_t c);

DESCRIPTION
The wcsrchr() function locates the last occurrence of the wide character c in the wide string s. The terminating null wide character is considered part of the wide string. If c is the null wide character (L'\0'), wcsrchr() locates the terminating null wide character.

RETURN VALUES
The wcsrchr() function returns a pointer to the located wide character or NULL if the wide character does not appear in the wide string.

SEE ALSO
strrchr(3), wcschr(3), wcscspn(3), wcspbrk(3), wcsspn(3), wcsstr(3), wcstok(3), wmemchr(3)

STANDARDS
The wcsrchr() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcsrchr() function was ported from NetBSD and first appeared in OpenBSD 3.8.